﻿'
' Copyright (c) 2021, MindFusion LLC - Bulgaria.
'


Public Class OrgChartNode
	Inherits TemplatedNode
	Shared Sub New()
		DefaultStyleKeyProperty.OverrideMetadata( _
		 GetType(OrgChartNode), New FrameworkPropertyMetadata(GetType(OrgChartNode)))
	End Sub

	Public Property Title() As String
		Get
			Return DirectCast(GetValue(TitleProperty), String)
		End Get
		Set(ByVal value As String)
			SetValue(TitleProperty, value)
		End Set
	End Property

	Public Shared ReadOnly TitleProperty As DependencyProperty = DependencyProperty.Register( _
	 "Title", GetType(String), GetType(OrgChartNode), New PropertyMetadata(""))

	Public Property FullName() As String
		Get
			Return DirectCast(GetValue(FullNameProperty), String)
		End Get
		Set(ByVal value As String)
			SetValue(FullNameProperty, value)
		End Set
	End Property

	Public Shared ReadOnly FullNameProperty As DependencyProperty = DependencyProperty.Register( _
	 "FullName", GetType(String), GetType(OrgChartNode), New PropertyMetadata(""))

	Public Property Image() As ImageSource
		Get
			Return DirectCast(GetValue(ImageProperty), ImageSource)
		End Get
		Set(ByVal value As ImageSource)
			SetValue(ImageProperty, value)
		End Set
	End Property

	Public Shared ReadOnly ImageProperty As DependencyProperty = DependencyProperty.Register( _
	 "Image", GetType(ImageSource), GetType(OrgChartNode), New FrameworkPropertyMetadata( _
	 Nothing, FrameworkPropertyMetadataOptions.AffectsRender))
End Class